Не работает купленный модуль Sberbank на Okay CMS 3

Правила раздела: faq.php?mode=okay
Модератор: Модераторы

dev403
dev403
Репутация: 0
Сообщения: 11
Зарегистрирован: 05.11.2020
С нами: 25 дней 13 часов

Сообщение #1 dev403 » 05.11.2020, 18:47

Приобрел недавно модуль сбербанк эквайринг для Okay CMS 3. Перед покупкой и в заказе указал что у меня версия 3.0.4 и мне нужно именно для нее. Сказали что без проблем будет работать. После оплаты дали ссылку на модуль. Там всего 2 версии модуля.

Первые 2 проблемы начались сразу. Почему то Они решили видимо в дальнейших апдейтах переименовать папку

/Okay/Core/Modules/Payments
в
/Okay/Core/Modules/Interfaces

Дальше переводы положили куда то в другое место, а в моей версии они должны лежать в корне модуля. В общем заплатил за модуль , указал версию еще и разбираюсь методом тыка.
Дальше интересней, вроде все заполнил, ввел данные тестового сервера (опять же инструкции нет, это в документации сбера ссылка на тестовый сервер)
https://yadi.sk/i/LzyYVcXpvT2-YQ

Дальше радуемся что модуль заработал и вводим тестовый номер карты и прочие данные, иммитируем код с смс и при возвращении статуса заказа в Окау 3 , вот такая ошибка.
https://yadi.sk/i/YBX4ozldDHzrNw

Статус оплачен в CMS не приходит - зато хоть радует что приходит в сбер. Общение с поддержкой заключается в том что дают ссылку на страницу где можно купить сапорт часы.

Модуль оплаты самый простой, тем более если есть тонкости настройки, то лучше наверное хоть тхт приложить с инструкцией. А иначе смысл продавать модуль? в итоге модуль купил еще и вангуй как его допиливать.

Добавлено спустя 17 часов 54 минуты:
Форум вообще живой?

OkayCMS M
Администратор
Аватара
OkayCMS M
Администратор
Репутация: 194
Сообщения: 1316
Зарегистрирован: 12.11.2015
С нами: 5 лет
Сайт Skype

Сообщение #2 OkayCMS » 08.11.2020, 08:59

Я бы вам посоветовал лучше обновить систему с 3.0.4 на более актуальную. Модуль разрабатывался уже на более актуальную версию.

korshunov
korshunov
Репутация: 75
Сообщения: 1244
Зарегистрирован: 03.12.2015
С нами: 4 года 11 месяцев
Skype

Сообщение #3 korshunov » 08.11.2020, 10:08

OkayCMS писал(а):Я бы вам посоветовал лучше обновить систему с 3.0.4 на более актуальную. Модуль разрабатывался уже на более актуальную версию.

dev403 писал(а):Перед покупкой и в заказе указал что у меня версия 3.0.4 и мне нужно именно для нее. Сказали что без проблем будет работать.

Как-то не стыкуются две цитаты...

И вообще еще вопросы возникают:
1. С какой стати он не работает, если на маркетплейсе пишут Совместим только с OkayCMS 3? Идеология модульности была такая, что работать должно независимо, и с версии 3.0.0.
2. А если уж работоспособность зависит от подверсий, то на надо бы на маркете для каждого модуля явно все это прописывать.

Пока что чем дальше, тем с модульностью сложностей все больше...

dev403
dev403
Репутация: 0
Сообщения: 11
Зарегистрирован: 05.11.2020
С нами: 25 дней 13 часов

Сообщение #4 dev403 » 08.11.2020, 10:50

OkayCMS писал(а):Я бы вам посоветовал лучше обновить систему с 3.0.4 на более актуальную. Модуль разрабатывался уже на более актуальную версию.

Обновлять версию не планируется, нужен модуль под версию 3.0.4. Собственно это я и указал в заказе. Почему тогда мне сказали оплатить , а не предупредили что модуль не будет работать? Я специально указал все, еще и в онлайн чате переспросил.

https://yadi.sk/i/EIjB3tmndzgSjQ

https://yadi.sk/i/RzlqhA1y8wFSLA

https://yadi.sk/i/eD-Hh2gWto0M6g

Вы уже неделю не реагируете, давайте оформим тогда возврат если он на версии той не работает, я найду специалиста который мне сделает данный модуль под версию 3.0.4.

Добавлено спустя 2 минуты 11 секунд:
korshunov писал(а):
OkayCMS писал(а):Я бы вам посоветовал лучше обновить систему с 3.0.4 на более актуальную. Модуль разрабатывался уже на более актуальную версию.

dev403 писал(а):Перед покупкой и в заказе указал что у меня версия 3.0.4 и мне нужно именно для нее. Сказали что без проблем будет работать.

Как-то не стыкуются две цитаты...

И вообще еще вопросы возникают:
1. С какой стати он не работает, если на маркетплейсе пишут Совместим только с OkayCMS 3? Идеология модульности была такая, что работать должно независимо, и с версии 3.0.0.
2. А если уж работоспособность зависит от подверсий, то на надо бы на маркете для каждого модуля явно все это прописывать.

Пока что чем дальше, тем с модульностью сложностей все больше...

я вообще не понял как они в одной ветке (3 версии) поменяли названия папок так легко, языки переложили, Собственно то о чем я писал. Это же банально создает сложности для всех. Под каждую версию надо знать как определенная папка называется и где то лежит. Выше выложил скрины общения с сапортом, учитывая что указал свою версию в заказе (в поле комментарии) , я думаю что за оплату я должен модуль рабочий был получить. А отмалчиваются уже неделю.

OkayCMS M
Администратор
Аватара
OkayCMS M
Администратор
Репутация: 194
Сообщения: 1316
Зарегистрирован: 12.11.2015
С нами: 5 лет
Сайт Skype

Сообщение #5 OkayCMS » 08.11.2020, 17:09

Завтра свяжемся с вами. В выходные мы выходные

dev403
dev403
Репутация: 0
Сообщения: 11
Зарегистрирован: 05.11.2020
С нами: 25 дней 13 часов

Сообщение #6 dev403 » 09.11.2020, 05:15

OkayCMS писал(а):Завтра свяжемся с вами. В выходные мы выходные

Вам в будние дни тоже писал, не отвечаете.

Добавлено спустя 13 часов:
OkayCMS писал(а):Завтра свяжемся с вами. В выходные мы выходные

не связались, весь день ждал вас.... CMS вообще жива?

Добавлено спустя 13 часов 31 минуту:
OkayCMS писал(а):Завтра свяжемся с вами. В выходные мы выходные
Напишите по каким числам вы работаете? а то уже неделя прошла а сдвигов нет.


Название раздела: Вопросы по работе с OkayCMS
Правила раздела: faq.php?mode=okay

Быстрый ответ


Введите код в точности так, как вы его видите. Регистр символов не имеет значения.
Код подтверждения

   

Вернуться в «Вопросы по работе с OkayCMS»

Кто сейчас на форуме (по активности за 5 минут)

Сейчас этот раздел просматривают: 1 гость